/*****************************************************************/
/*                                                               */
/*   CASIO fx-9860G SDK Library                                  */
/*                                                               */
/*   File name : [ProjectName].c                                 */
/*                                                               */
/*   Copyright (c) 2006 CASIO COMPUTER CO., LTD.                 */
/*                                                               */
/*****************************************************************/
#include "fxlib.h"
#include "pong.h"
#include "stdlib.h"

int p1=32;
int p2=32;
int xb=64;
int yb=32;
int d=1;
int v=1;
int s=0;


//****************************************************************************
//  AddIn_main (Sample program main function)
//
//  param   :   isAppli   : 1 = This application is launched by MAIN MENU.
//                        : 0 = This application is launched by a strip in eACT application.
//
//              OptionNum : Strip number (0~3)
//                         (This parameter is only used when isAppli parameter is 0.)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************
int AddIn_main(int isAppli, unsigned short OptionNum)
{
    unsigned int key;



while(IsKeyDown(KEY_CTRL_MENU)!=1 && s!=1) {

Bdisp_AllClr_VRAM();
Bdisp_SetPoint_VRAM(xb,yb,1);
Bdisp_DrawLineVRAM(5,p1-5,5,p1+5);
Bdisp_DrawLineVRAM(125,p2-5,125,p2+5);
Bdisp_PutDisp_DD();
while(IsKeyDown(KEY_CHAR_4)&&p1>0){p1=p1-1;break;};
while(IsKeyDown(KEY_CHAR_1)&&p1<64){p1=p1+1;break;};
while(IsKeyDown(KEY_CHAR_6)&&p2>0){p2=p2-1;break;};
while(IsKeyDown(KEY_CHAR_3)&&p2<64){p2=p2+1;break;};
xb=xb+d;
yb=yb+v;
if((xb==6 && (p1>yb-6 && p1<yb+6)) || (xb==124 && (p2>yb-6 && p2<yb+6))) {d=(d==-1)-(d==1);v=(v==1)-(v==-1);}
if(yb==1 || yb==63) {v=(v==-1)-(v==1);}
if(xb==1 || xb==127) {s=1;} 
Sleep(25);
};


    while(1){
        GetKey(&key);
    }

    return 1;
}




//****************************************************************************
//**************                                              ****************
//**************                 Notice!                      ****************
//**************                                              ****************
//**************  Please do not change the following source.  ****************
//**************                                              ****************
//****************************************************************************


#pragma section _BR_Size
unsigned long BR_Size;
#pragma section


#pragma section _TOP

//****************************************************************************
//  InitializeSystem
//
//  param   :   isAppli   : 1 = Application / 0 = eActivity
//              OptionNum : Option Number (only eActivity)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************
int InitializeSystem(int isAppli, unsigned short OptionNum)
{
    return INIT_ADDIN_APPLICATION(isAppli, OptionNum);
}

#pragma section

